Subject: Re: bug#25111: (Inaccurate documentation of inhibit-modification-hooks)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Jun 2019 17:36:12 +0300

> Date: Tue, 4 Jun 2019 09:32:41 +0000
> Cc: Eli Zaretskii <[email-masked]>, Phillip Lord <[email-masked]>,
>   [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > > This is difficult to document coherently.
> 
> > And confusing, as evidenced by the fact that we both got confused about
> > it in this very thread :)
> 
> > > My proposal of last week was to fix the code, also to bind
> > > inhibit-modification-hooks to t for the modification-hooks overlay
> > > property, even though this would be an incompatibility in Lisp.
> 
> How about this?

Please wait with this for a few days.  I must refresh my memory about
this old issue, and re-read the code, and I'm currently busy with more
urgent issues, like the harfbuzz branch and a couple of display bugs.

TIA, and sorry for being unable to respond quickly.